Delete Ldap Identity Source

Delete Ldap Identity Source
Remove an LDAP identity source

Deletes the LDAP identity source identified by identity-source-id. Users and groups that authenticated through this source will no longer be able to log in to Installer, and any role bindings for them become orphaned - remove those separately via DELETE /iam/role-bindings/{binding-id} if they are no longer needed.

Request
URI
DELETE
https://{api_host}/https://{api_host}:{port}/lh-appliance/iam/ldap-identity-sources/{identity-source-id}
COPY
Path Parameters
string
identity-source-id
Required

The id of the LDAP identity source to delete, as returned by GET /iam/ldap-identity-sources.


Authentication
This operation uses the following authentication methods.
Responses
200

The LDAP identity source was deleted successfully.

Operation doesn't return any data structure

400

Bad Request

Returns BadRequest of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


412

Precondition Failed

Returns PreconditionFailed of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


428

Precondition Required

Returns PreconditionRequired of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


default

4XX and 5XX type errors with appropriate message

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


Code Samples
COPY
                    curl -X DELETE -H 'Authorization: <value>' https://{api_host}/https://{api_host}:{port}/lh-appliance/iam/ldap-identity-sources/{identity-source-id}